package flutter.fl_print_pl


/**
 * 服务端（SB）返回的地址信息按省 市 区 详细地址 空格分隔
 *
 * @author: xiangyun_liu
 * @date: 2018/12/27 15:13
 */
object AddressUtil {
    /**
     * 获取省份
     */
    fun getProvince(address: String): String {
        var province = ""
        try {
            province = address.split(" ")[0]
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return province
    }

    /**
     * 获取城市
     */
    fun getCity(address: String): String {
        var city = ""
        try {
            city = address.split(" ")[1]
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return city
    }

    /**
     * 获取城市区域
     */
    fun getCityArea(address: String): String {
        var cityArea = ""
        try {
            cityArea = address.split(" ")[2]
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return cityArea
    }

    /**
     * 获取详细地址
     */
    fun getDetailAdd(address: String): String {
        var detailAdd = ""
        var subIndex = 0
        try {
            var count = 0
            for (index in 0 until address.length) {
                val char = address[index].toString()
                if (char == " ") {
                    count++
                }
                if (count == 3) {
                    subIndex = index
                    break
                }
            }
            if (count == 3) {
                detailAdd = address.subSequence(subIndex + 1, address.length).toString()
            }
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return detailAdd
    }
}