package flutter.fl_print_pl

import java.text.SimpleDateFormat
import java.util.*

/**
 * @author: xiangyun_liu
 *
 * @date: 2018/12/19 15:57
 */
object DateFormatUtil {
    /**
     * 将毫秒值时间格式化
     *
     *  yyyy-MM-dd HH:mm:ss
     */
    fun dateFormat(date: Long): String {
        try {
            TimeZone.setDefault(TimeZone.getTimeZone("GMT+08"))
            return SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA).format(Date(date))
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return ""
    }

    fun dateFormat(date: String): String {
        try {
            if (date.isNullOrEmpty()) return ""
            TimeZone.setDefault(TimeZone.getTimeZone("GMT+08"))
            return SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA).format(Date(date.toLong()))
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return ""
    }

    fun dateFormatHHMMss(date: Long): String {
        try {
            TimeZone.setDefault(TimeZone.getTimeZone("GMT+08"))
            return SimpleDateFormat("HH:mm:ss", Locale.CHINA).format(Date(date))
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return ""
    }

    /**
     * 将时间格式化获取毫秒值
     *
     *  yyyy-MM-dd HH:mm:ss
     */
    fun getDateFormStr(dateStr: String): Long {
        try {
            TimeZone.setDefault(TimeZone.getTimeZone("GMT+08"))
            val date = SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA).parse(dateStr)
            return date.time
        } catch (e: Exception) {
            e.printStackTrace()
        }
        return 0
    }
}