import 'dart:async';
import 'dart:ffi';

import 'package:flutter/services.dart';

class FlPrintPl {
  static const MethodChannel _channel = const MethodChannel('fl_print_pl');
  static const EventChannel _eventChannel = EventChannel("flutter_plugin_event");
  static StreamController<String> streamController = StreamController<String>.broadcast();

  static init() {
    _eventChannel.receiveBroadcastStream().listen((data) {
      streamController.sink.add(data);
      print("原生来的数据" + data);

      print("原生来的数据" + streamController.toString());
    });
  }

  static dispose() {
    streamController.close();
  }

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  ///搜索并打开蓝牙
  static Future<Void> searchBlue() async {
    return await _channel.invokeMethod("searchBlue");
  }

  /// 获取打印机列表
  static Future<String> getBlueData() async {
    return await _channel.invokeMethod("getBlueData");
  }

  /// 传递 选择打印机类型的参数
  static Future<void> sendPrintData(String address, String josnString) async {
    Map<String, String> params = Map<String, String>();
    params['address'] = address;
    params['JsonData'] = josnString;
    await _channel.invokeMethod("sendPrintData", params);
  }
}
